package com.sd.business.controller.apply;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.apply.vo.ApplyBuyBomVo;
import com.sd.business.entity.apply.dto.ApplyBuyBomSelectDto;
import com.sd.business.entity.apply.dto.ApplyBuyBomDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.service.apply.ApplyBuyBomService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 申购单bom 前端控制器
 * </p>
 *
 * @author 
 * @since 2024-01-03
 */
@RestController
@RequestMapping("/applyBuyBom")
public class ApplyBuyBomController {

    @Autowired
    private ApplyBuyBomService applyBuyBomService;

    /**
     * 申购单bom分页
     */
    @PostMapping("/page")
    public Page<ApplyBuyBomVo> page(@RequestBody ApplyBuyBomSelectDto dto) {
        return applyBuyBomService.getPage(dto);
    }

    /**
     * 申购单bom明细
     */
    @PostMapping("/detail")
    public ApplyBuyBomVo detail(@RequestBody BaseSelectDto dto) {
        return applyBuyBomService.detail(dto.getId());
    }

    /**
     * 申购单bom新增
     */
    @PostMapping("/add")
    public void add(@RequestBody ApplyBuyBomDto dto) {
        applyBuyBomService.add(dto);
    }

    /**
     * 申购单bom编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody ApplyBuyBomDto dto) {
        applyBuyBomService.edit(dto);
    }

    /**
     * 申购单bom删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        applyBuyBomService.delete(dto.getId());
    }

}
