package com.sd.business.controller.apply;

import com.fjhx.flow.enums.FlowStatusEnum;
import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.apply.vo.ApplyBuyVo;
import com.sd.business.entity.apply.dto.ApplyBuySelectDto;
import com.sd.business.entity.apply.dto.ApplyBuyDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.service.apply.ApplyBuyService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 申购单 前端控制器
 * </p>
 *
 * @author 
 * @since 2024-01-03
 */
@RestController
@RequestMapping("/applyBuy")
public class ApplyBuyController {

    @Autowired
    private ApplyBuyService applyBuyService;

    /**
     * 申购单分页
     */
    @PostMapping("/page")
    public Page<ApplyBuyVo> page(@RequestBody ApplyBuySelectDto dto) {
        return applyBuyService.getPage(dto);
    }

    /**
     * 申购单明细
     */
    @PostMapping("/detail")
    public ApplyBuyVo detail(@RequestBody BaseSelectDto dto) {
        return applyBuyService.detail(dto.getId());
    }

    /**
     * 申购单新增
     */
    @PostMapping("/add")
    public void add(@RequestBody ApplyBuyDto dto) {
        dto.setFlowStatus(FlowStatusEnum.READY_START.getKey());
        applyBuyService.add(dto);
    }

    /**
     * 申购单编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody ApplyBuyDto dto) {
        applyBuyService.edit(dto);
    }

    /**
     * 申购单删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        applyBuyService.delete(dto.getId());
    }

}
