package com.sd.business.controller.inventory;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.annotation.NonInterception;
import com.sd.business.entity.inventory.dto.InventoryBackupSelectDto;
import com.sd.business.entity.inventory.dto.InventorySelectDto;
import com.sd.business.entity.inventory.vo.InventoryBackupVo;
import com.sd.business.service.inventory.InventoryBackupService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 库存快照 前端控制器
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@RestController
@RequestMapping("/inventoryBackup")
public class InventoryBackupController {

    @Autowired
    private InventoryBackupService inventoryBackupService;

    /**
     * 库存日期分组分页
     */
    @PostMapping("/groupPage")
    public Page<InventoryBackupVo> groupPage(@RequestBody InventorySelectDto dto) {
        return inventoryBackupService.groupPage(dto);
    }

    /**
     * 库存快照分页
     */
    @PostMapping("/page")
    public Page<InventoryBackupVo> page(@Validated @RequestBody InventoryBackupSelectDto dto) {
        return inventoryBackupService.getPage(dto);
    }

    /**
     * 库存快照导出
     */
    @NonInterception
    @PostMapping("/exportExcel")
    public void exportExcel(@Validated @RequestBody InventoryBackupSelectDto dto) {
        inventoryBackupService.exportExcel(dto);
    }

}
