package com.sd.business.controller.price;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.price.dto.PriceBillingStandardDto;
import com.sd.business.entity.price.dto.PriceBillingStandardSelectDto;
import com.sd.business.entity.price.po.PriceBillingStandard;
import com.sd.business.entity.price.vo.PriceBillingStandardVo;
import com.sd.business.service.price.PriceBillingStandardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * <p>
 * 加工计费标准 前端控制器
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@RestController
@RequestMapping("/priceBillingStandard")
public class PriceBillingStandardController {

    @Autowired
    private PriceBillingStandardService priceBillingStandardService;

    /**
     * 加工计费标准列表
     */
    @PostMapping("/list")
    public List<PriceBillingStandard> list() {
        return priceBillingStandardService.list();
    }

    /**
     * 加工计费标准分页
     */
    @PostMapping("/page")
    public Page<PriceBillingStandardVo> page(@RequestBody PriceBillingStandardSelectDto dto) {
        return priceBillingStandardService.getPage(dto);
    }

    /**
     * 加工计费标准明细
     */
    @PostMapping("/detail")
    public PriceBillingStandardVo detail(@RequestBody BaseSelectDto dto) {
        return priceBillingStandardService.detail(dto.getId());
    }

    /**
     * 加工计费标准新增
     */
    @PostMapping("/add")
    public void add(@Validated @RequestBody PriceBillingStandardDto dto) {
        priceBillingStandardService.add(dto);
    }

    /**
     * 加工计费标准编辑
     */
    @PostMapping("/edit")
    public void edit(@Validated @RequestBody PriceBillingStandardDto dto) {
        priceBillingStandardService.edit(dto);
    }

    /**
     * 加工计费标准删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        priceBillingStandardService.delete(dto.getId());
    }

}
