package com.sd.business.controller.work;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.work.dto.WorkOrderDto;
import com.sd.business.entity.work.dto.WorkOrderSelectDto;
import com.sd.business.entity.work.vo.WorkOrderVo;
import com.sd.business.service.work.WorkOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 生产工单 前端控制器
 * </p>
 *
 * @author
 * @since 2024-01-02
 */
@RestController
@RequestMapping("/workOrder")
public class WorkOrderController {

    @Autowired
    private WorkOrderService workOrderService;

    /**
     * 生产工单分页
     */
    @PostMapping("/page")
    public Page<WorkOrderVo> page(@RequestBody WorkOrderSelectDto dto) {
        return workOrderService.getPage(dto);
    }

    /**
     * 生产工单明细
     */
    @PostMapping("/detail")
    public WorkOrderVo detail(@RequestBody BaseSelectDto dto) {
        return workOrderService.detail(dto.getId());
    }

    /**
     * 聚合订单
     */
    @PostMapping("/scheduling")
    public void scheduling() {
        workOrderService.scheduling();
    }

    /**
     * 聚合尾单
     */
    @PostMapping("/schedulingRemaining")
    public void schedulingRemaining() {
        workOrderService.schedulingRemaining();
    }

    /**
     * 获取未排版sku规格数量
     */
    @PostMapping("/notSchedulingSkuNum")
    public Integer notSchedulingSkuNum() {
        return workOrderService.notSchedulingSkuNum();
    }

    /**
     * 保存排版
     */
    @PostMapping("/saveScheduling")
    public void saveScheduling(@Validated @RequestBody WorkOrderDto dto) {
        workOrderService.saveScheduling(dto);
    }

}
