package com.sd.business.controller.work;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.work.dto.WorkOrderDetailDto;
import com.sd.business.entity.work.dto.WorkOrderDetailSelectDto;
import com.sd.business.entity.work.vo.WorkOrderDetailVo;
import com.sd.business.service.work.WorkOrderDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 生产工单明细 前端控制器
 * </p>
 *
 * @author
 * @since 2024-01-02
 */
@RestController
@RequestMapping("/workOrderDetail")
public class WorkOrderDetailController {

    @Autowired
    private WorkOrderDetailService workOrderDetailService;

    /**
     * 生产工单明细分页
     */
    @PostMapping("/page")
    public Page<WorkOrderDetailVo> page(@RequestBody WorkOrderDetailSelectDto dto) {
        return workOrderDetailService.getPage(dto);
    }

    /**
     * 生产工单明细明细
     */
    @PostMapping("/detail")
    public WorkOrderDetailVo detail(@RequestBody BaseSelectDto dto) {
        return workOrderDetailService.detail(dto.getId());
    }

    /**
     * 生产工单明细新增
     */
    @PostMapping("/add")
    public void add(@RequestBody WorkOrderDetailDto dto) {
        workOrderDetailService.add(dto);
    }

    /**
     * 生产工单明细编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody WorkOrderDetailDto dto) {
        workOrderDetailService.edit(dto);
    }

    /**
     * 生产工单明细删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        workOrderDetailService.delete(dto.getId());
    }

}
