package com.sd.business.entity.bom.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * bom规格
 * </p>
 *
 * @author
 * @since 2023-12-04
 */
@Getter
@Setter
@TableName("bom_spec")
public class BomSpec extends BasePo {

    /**
     * bom id
     */
    private Long bomId;

    /**
     * 品名
     */
    private String name;

    /**
     * 品号
     */
    private String code;

    /**
     * 颜色
     */
    private String colour;

    /**
     * 成本价
     */
    private BigDecimal costPrice;

    /**
     * 对内销售价(含税)
     */
    private BigDecimal internalSellingPrice;

    /**
     * 对外销售价(含税)
     */
    private BigDecimal externalSellingPrice;

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 高 cm
     */
    private BigDecimal height;

    /**
     * 净重 g
     */
    private BigDecimal netWeight;

    /**
     * 是否显示看板 0否 1是
     */
    private Boolean isShowBoard;

    /**
     * 看板排序
     */
    private Integer sort;

}
