package com.sd.business.entity.department.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 事业部
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
@Getter
@Setter
@TableName("department")
public class Department extends BasePo {

    /**
     * 管理员账号
     */
    private String adminUsername;

    /**
     * 管理员密码
     */
    private String adminPassword;

    /**
     * 事业部
     */
    private String name;

    /**
     * 事业部电话
     */
    private String telephone;

    /**
     * 事业部地址
     */
    private String address;

    /**
     * 联系人
     */
    private String contactPerson;

    /**
     * 联系人电话
     */
    private String contactNumber;

    /**
     * 售价体系id
     */
    private Long priceSystemId;

    /**
     * 下单模式 字典:department_orderMode
     */
    private String orderMode;

    /**
     * 佣金规则 字典:department_commissionRule
     */
    private String commissionRule;

    /**
     * 状态 0禁用 1启用
     */
    private Integer status;

    /**
     * 信用额度
     */
    private BigDecimal lineCredit;

    /**
     * 已用额度
     */
    private BigDecimal usedCredit;

    /**
     * 万里牛仓库编码 多个用,拼接 字典:warehouse_code
     */
    private String wlnWarehouseCode;

    /**
     * 万里牛品牌 多个用,拼接 字典:wlnBrand
     */
    private String wlnBrand;

    /**
     * 加工计费标准id，多个用,拼接
     */
    private String priceBillingStandardId;

}
