package com.sd.business.entity.inventory.po;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 库存快照
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
@TableName("inventory_backup")
public class InventoryBackup extends BasePo {

    /**
     * 库存id
     */
    private Long inventoryId;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 数量
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "可用库存", index = 3)
    private BigDecimal quantity;

    /**
     * 备份日期
     */
    private Date backupDate;

}
