package com.sd.business.entity.inventory.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.sd.business.entity.inventory.po.Inventory;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 库存列表查询返回值实体
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
@ExcelIgnoreUnannotated
public class InventoryVo extends Inventory {

    /**
     * 仓库名称
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "仓库", index = 0)
    private String warehouseName;

    /**
     * 品名
     */
    @ColumnWidth(50)
    @ExcelProperty(value = "品名", index = 1)
    private String bomSpecName;

    /**
     * 品号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "品号", index = 2)
    private String bomSpecCode;

    /**
     * 事业部名称
     */
    private String departmentName;

    /**
     * 总库存
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "总库存", index = 4)
    private BigDecimal totalQuantity;

}
