package com.sd.business.entity.order.dto;

import com.fjhx.file.entity.ObsFile;
import com.sd.business.entity.order.po.OrderInfo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 订单新增编辑入参实体
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
public class OrderInfoDto extends OrderInfo {

    /**
     * 操作类型
     */
    private Integer updateType;

    /**
     * 订单商品
     */
    @Valid
    @NotEmpty(message = "产品列表不能为空")
    private List<OrderSkuDto> orderSkuList;

    /**
     * 附件列表
     */
    private List<ObsFile> fileList;

    /**
     * 订单包装bom
     */
    private List<OrderPackageBomDto> orderPackageBomList;

    /**
     * 外箱不干胶文件
     */
    private ObsFile outerBoxSelfAdhesiveStickerFile;

    /**
     * 包裹图片
     */
    private List<ObsFile> packagePictureList;

}
