package com.sd.business.entity.order.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * 订单状态
 */
@Getter
@AllArgsConstructor
public enum OrderStatusEnum {
    DRAFT(0, "草稿"),
    UNDER_REVIEW(10, "订单待确认"),
    SUSPEND(12, "挂起"),
    SCHEDULING(20, "排单"),
    IN_PRODUCTION(30, "生产中"),
    COMPLETION_PRODUCTION(40, "生产完成"),
    HAVE_BEEN_SHIPPED(50, "已发货"),

    ;

    private static final Map<Integer, OrderStatusEnum> map = new HashMap<>();

    static {
        for (OrderStatusEnum orderStatusEnum : values()) {
            map.put(orderStatusEnum.getKey(), orderStatusEnum);
        }
    }

    private final Integer key;
    private final String value;

    public static List<Map<String, Object>> getMapList() {
        return Arrays.stream(values())
                .map(item -> {
                    Map<String, Object> tempMap = new HashMap<>();
                    tempMap.put("key", item.getKey());
                    tempMap.put("value", item.getValue());
                    tempMap.put("identifying", item.name());
                    return tempMap;
                })
                .collect(Collectors.toList());
    }

}
