package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 订单sku
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
@TableName("order_sku")
public class OrderSku extends BasePo {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * sku id
     */
    private Long skuId;

    /**
     * sku规格id
     */
    private Long skuSpecId;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 打印纸bom id
     */
    private Long printingPaperBomSpecId;

    /**
     * 图稿id
     */
    private Long artworkLibraryId;

    /**
     * 设计图
     */
    private String blueprint;

    /**
     * 生产文件
     */
    private String productionDocument;

    /**
     * 万里牛sys_goods_uid
     */
    private String wlnSkuId;

    /**
     * 万里牛sys_spec_uid
     */
    private String wlnSkuSpecId;

    /**
     * 万里牛 sku名称
     */
    private String wlnSkuName;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 单价
     */
    private BigDecimal unitPrice;

    /**
     * 定制加工费
     */
    private BigDecimal customProcessingFee;

    /**
     * 代发费
     */
    private BigDecimal lssueFee;

    /**
     * 快递包材费
     */
    private BigDecimal deliveryMaterialsFee;

    /**
     * 包装人工费
     */
    private BigDecimal packingLabor;

    /**
     * 管理费
     */
    private BigDecimal managementFee;

    /**
     * 包材费
     */
    private BigDecimal packagingMaterialCost;

    /**
     * 包装要求
     */
    private String packageRemark;

    /**
     * E10成品品号
     */
    private String erpCode;

    /**
     * E10成品特征码
     */
    private String featureCode;

    /**
     * 排单数量
     */
    private BigDecimal schedulingNum;

    /**
     * 是否完成排单
     */
    private Integer completeScheduling;

}
