package com.sd.business.entity.order.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 订单sku 导出返回值实体
 *
 * @author
 * @since 2023-11-14
 */
@Getter
@Setter
@ExcelIgnoreUnannotated
public class OrderSkuExportVo {

    /**
     * E10订单号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "E10订单号", index = 0)
    private String wlnCode;

    /**
     * sku品号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "SKU", index = 1)
    private String skuSpecCode;

    /**
     * bom品号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "bom品号", index = 2)
    private String bomSpecCode;


    /**
     * E10成品品号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "E10成品品号", index = 3)
    private String erpCode;

    /**
     * E10成品特征码
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "特征码", index = 4)
    private String featureCode;

    /**
     * 数量
     */
    @ExcelProperty(value = "业务数量", index = 5)
    private BigDecimal quantity;

    /**
     * sku总金额
     */
    @ExcelProperty(value = "金额", index = 6)
    private BigDecimal totalAmount;

}
