package com.sd.business.service.apply.impl;

import com.sd.business.entity.apply.po.ApplyBuyBom;
import com.sd.business.mapper.apply.ApplyBuyBomMapper;
import com.sd.business.service.apply.ApplyBuyBomService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.apply.vo.ApplyBuyBomVo;
import com.sd.business.entity.apply.dto.ApplyBuyBomSelectDto;
import com.sd.business.entity.apply.dto.ApplyBuyBomDto;
import com.sd.framework.util.sql.Sql;
import com.sd.framework.util.Assert;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 申购单bom 服务实现类
 * </p>
 *
 * @author 
 * @since 2024-01-03
 */
@Service
public class ApplyBuyBomServiceImpl extends ServiceImpl<ApplyBuyBomMapper, ApplyBuyBom> implements ApplyBuyBomService {

    @Override
    public Page<ApplyBuyBomVo> getPage(ApplyBuyBomSelectDto dto) {

        Page<ApplyBuyBomVo> page = Sql.create(ApplyBuyBomVo.class)
                .selectAll(ApplyBuyBom.class)
                .from(ApplyBuyBom.class)
                .orderByDesc(ApplyBuyBom::getId)
                .page(dto);

        return page;
    }

    @Override
    public ApplyBuyBomVo detail(Long id) {

        ApplyBuyBomVo vo = Sql.create(ApplyBuyBomVo.class)
                .selectAll(ApplyBuyBom.class)
                .from(ApplyBuyBom.class)
                .eq(ApplyBuyBom::getId, id)
                .one();

        Assert.notNull(vo, "未知数据");

        return vo;
    }

    @Override
    public void add(ApplyBuyBomDto dto) {
        save(dto);
    }

    @Override
    public void edit(ApplyBuyBomDto dto) {
        updateById(dto);
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

}
