package com.sd.business.service.inventory;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.inventory.dto.InventoryFinishedErpImportDataDto;
import com.sd.business.entity.inventory.dto.InventoryFinishedOrderDto;
import com.sd.business.entity.inventory.dto.InventoryFinishedOrderSelectDto;
import com.sd.business.entity.inventory.po.InventoryFinishedOrder;
import com.sd.business.entity.inventory.vo.InventoryFinishedOrderVo;
import com.sd.business.entity.order.po.OrderSku;

import java.util.List;


/**
 * <p>
 * 成品仓库订单 服务类
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
public interface InventoryFinishedOrderService extends BaseService<InventoryFinishedOrder> {

    /**
     * 成品仓库订单分页
     */
    Page<InventoryFinishedOrderVo> getPage(InventoryFinishedOrderSelectDto dto);

    /**
     * 成品仓库订单明细
     */
    InventoryFinishedOrderVo detail(Long id);

    /**
     * 成品仓库订单新增
     */
    void add(InventoryFinishedOrderDto dto);

    /**
     * 成品仓库订单编辑
     */
    void edit(InventoryFinishedOrderDto dto);

    /**
     * 成品仓库订单删除
     */
    void delete(Long id);

    /**
     * 生产入库
     *
     * @param orderSkuList 订单明细列表
     */
    void productionWarehousing(List<OrderSku> orderSkuList);

    /**
     * 根据订单id删除记录
     *
     * @param orderId 订单id
     */
    void removeByOrderId(Long orderId);

    /**
     * 成品仓明细E10模板导出
     * @param list
     */
    void excelErpExport(List<InventoryFinishedErpImportDataDto> list);
}
