package com.sd.business.service.inventory;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.in.dto.InOutStorageDto;
import com.sd.business.entity.inventory.dto.InventorySelectDto;
import com.sd.business.entity.inventory.dto.QuantityByDepartmentDto;
import com.sd.business.entity.inventory.dto.QuantityByWarehouseDto;
import com.sd.business.entity.inventory.dto.QuantityDto;
import com.sd.business.entity.inventory.po.Inventory;
import com.sd.business.entity.inventory.vo.InventoryVo;
import com.sd.business.entity.inventory.vo.QuantityByDepartmentVo;
import com.sd.business.entity.inventory.vo.QuantityByWarehouseVo;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;


/**
 * <p>
 * 库存 服务类
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
public interface InventoryService extends BaseService<Inventory> {

    /**
     * 库存分页
     */
    Page<InventoryVo> getPage(InventorySelectDto dto);

    /**
     * 库存导出
     */
    void exportExcel(InventorySelectDto dto);

    /**
     * 查询库存
     */
    Map<Long, BigDecimal> getQuantity(QuantityDto dto);

    /**
     * 根据仓库获取库存数量
     */
    List<QuantityByWarehouseVo> getQuantityByWarehouse(QuantityByWarehouseDto dto);

    /**
     * 根据事业部获取库存数量
     */
    List<QuantityByDepartmentVo> getQuantityByDepartment(QuantityByDepartmentDto dto);

    /**
     * 入库逻辑
     */
    void in(InOutStorageDto dto);

    /**
     * 出库逻辑
     */
    void out(InOutStorageDto dto);

}
