package com.sd.business.service.outbound.impl;

import com.sd.business.entity.outbound.po.OutboundOrder;
import com.sd.business.mapper.outbound.OutboundOrderMapper;
import com.sd.business.service.outbound.OutboundOrderService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.outbound.vo.OutboundOrderVo;
import com.sd.business.entity.outbound.dto.OutboundOrderSelectDto;
import com.sd.business.entity.outbound.dto.OutboundOrderDto;
import com.sd.framework.util.sql.Sql;
import com.sd.framework.util.Assert;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 出库单 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-12-15
 */
@Service
public class OutboundOrderServiceImpl extends ServiceImpl<OutboundOrderMapper, OutboundOrder> implements OutboundOrderService {

    @Override
    public Page<OutboundOrderVo> getPage(OutboundOrderSelectDto dto) {

        Page<OutboundOrderVo> page = Sql.create(OutboundOrderVo.class)
                .selectAll(OutboundOrder.class)
                .from(OutboundOrder.class)
                .orderByDesc(OutboundOrder::getId)
                .page(dto);

        return page;
    }

    @Override
    public OutboundOrderVo detail(Long id) {

        OutboundOrderVo vo = Sql.create(OutboundOrderVo.class)
                .selectAll(OutboundOrder.class)
                .from(OutboundOrder.class)
                .eq(OutboundOrder::getId, id)
                .one();

        Assert.notNull(vo, "未知数据");

        return vo;
    }

    @Override
    public void add(OutboundOrderDto dto) {
        save(dto);
    }

    @Override
    public void edit(OutboundOrderDto dto) {
        updateById(dto);
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

}
