package com.sd.business.service.production;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.production.dto.ProductionWorkOrderDto;
import com.sd.business.entity.production.dto.ProductionWorkOrderSelectDto;
import com.sd.business.entity.production.po.ProductionWorkOrder;
import com.sd.business.entity.production.vo.ProductionWorkOrderVo;

import java.util.List;


/**
 * <p>
 * 生产工单 服务类
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
public interface ProductionWorkOrderService extends BaseService<ProductionWorkOrder> {

    /**
     * 生产工单分页
     */
    Page<ProductionWorkOrderVo> getPage(ProductionWorkOrderSelectDto dto);

    /**
     * 生产工单明细
     */
    ProductionWorkOrderVo detail(Long id);

    /**
     * 生产工单新增
     */
    void add(ProductionWorkOrderDto dto);

    /**
     * 生产工单编辑
     */
    void edit(ProductionWorkOrderDto dto);

    /**
     * 生产工单删除
     */
    void delete(Long id);

    /**
     * 通过订单id生成工单
     */
    void addByOrderId(Long orderId);

    /**
     * 发送工单到mq
     *
     * @param list 工单列表
     */
    void sendMq(List<ProductionWorkOrder> list);

}
