package com.sd.business.service.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.purchase.dto.PurchaseBomDetailsSelectDto;
import com.sd.business.entity.purchase.dto.PurchaseBomDto;
import com.sd.business.entity.purchase.dto.PurchaseBomSelectDto;
import com.sd.business.entity.purchase.po.PurchaseBom;
import com.sd.business.entity.purchase.vo.PurchaseBomDetailsVo;
import com.sd.business.entity.purchase.vo.PurchaseBomVo;


/**
 * <p>
 * 采购合同bom 服务类
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
public interface PurchaseBomService extends BaseService<PurchaseBom> {

    /**
     * 采购合同bom分页
     */
    Page<PurchaseBomVo> getPage(PurchaseBomSelectDto dto);

    /**
     * 采购合同bom明细
     */
    PurchaseBomVo detail(Long id);

    /**
     * 采购合同bom新增
     */
    void add(PurchaseBomDto dto);

    /**
     * 采购合同bom编辑
     */
    void edit(PurchaseBomDto dto);

    /**
     * 采购合同bom删除
     */
    void delete(Long id);

    /**
     * 获取采购bom明细分页
     * @param dto
     * @return
     */
    Page<PurchaseBomDetailsVo> getDetailsPage(PurchaseBomDetailsSelectDto dto);
}
