package com.sd.business.service.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.in.po.InOutStorageBom;
import com.sd.business.entity.purchase.dto.PurchaseBomImportDataDto;
import com.sd.business.entity.purchase.dto.PurchaseDto;
import com.sd.business.entity.purchase.dto.PurchaseSelectDto;
import com.sd.business.entity.purchase.po.Purchase;
import com.sd.business.entity.purchase.vo.PurchaseVo;

import java.util.List;


/**
 * <p>
 * 采购合同 服务类
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
public interface PurchaseService extends BaseService<Purchase> {

    /**
     * 采购合同分页
     */
    Page<PurchaseVo> getPage(PurchaseSelectDto dto);

    /**
     * 采购合同明细
     */
    PurchaseVo detail(Long id);

    /**
     * 采购合同新增
     */
    void add(PurchaseDto dto);

    /**
     * 采购合同编辑
     */
    void edit(PurchaseDto dto);

    /**
     * 采购合同删除
     */
    void delete(Long id);

    /**
     * 更新采购bom到货数量
     */
    void updatePurchaseBomArrivalQuantity(Long purchaseId, List<InOutStorageBom> inOutStorageBomList);

    /**
     * 采购合同终止
     * @param id
     */
    void purchaseTermination(Long id);

    /**
     * 导入E10采购合同
     * @param list
     */
    void purchaseImport(List<PurchaseBomImportDataDto> list);
}
