package com.sd.business.service.supplier.impl;

import com.sd.business.entity.supplier.po.Supplier;
import com.sd.business.mapper.supplier.SupplierMapper;
import com.sd.business.service.supplier.SupplierService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.supplier.vo.SupplierVo;
import com.sd.business.entity.supplier.dto.SupplierSelectDto;
import com.sd.business.entity.supplier.dto.SupplierDto;
import com.sd.framework.util.sql.Sql;
import com.sd.framework.util.Assert;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 供应商 服务实现类
 * </p>
 *
 * @author 
 * @since 2024-01-02
 */
@Service
public class SupplierServiceImpl extends ServiceImpl<SupplierMapper, Supplier> implements SupplierService {

    @Override
    public Page<SupplierVo> getPage(SupplierSelectDto dto) {

        Page<SupplierVo> page = Sql.create(SupplierVo.class)
                .selectAll(Supplier.class)
                .from(Supplier.class)
                .orderByDesc(Supplier::getId)
                .page(dto);

        return page;
    }

    @Override
    public SupplierVo detail(Long id) {

        SupplierVo vo = Sql.create(SupplierVo.class)
                .selectAll(Supplier.class)
                .from(Supplier.class)
                .eq(Supplier::getId, id)
                .one();

        Assert.notNull(vo, "未知数据");

        return vo;
    }

    @Override
    public void add(SupplierDto dto) {
        save(dto);
    }

    @Override
    public void edit(SupplierDto dto) {
        updateById(dto);
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

}
