package com.sd.business.service.work;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.work.dto.WorkOrderDto;
import com.sd.business.entity.work.dto.WorkOrderSelectDto;
import com.sd.business.entity.work.po.WorkOrder;
import com.sd.business.entity.work.vo.WorkOrderVo;


/**
 * <p>
 * 生产工单 服务类
 * </p>
 *
 * @author
 * @since 2024-01-02
 */
public interface WorkOrderService extends BaseService<WorkOrder> {

    /**
     * 生产工单分页
     */
    Page<WorkOrderVo> getPage(WorkOrderSelectDto dto);

    /**
     * 生产工单明细
     */
    WorkOrderVo detail(Long id);

    /**
     * 排版
     */
    void scheduling();

    /**
     * 聚合尾单
     */
    void schedulingRemaining();

    /**
     * 获取未排版sku规格数量
     */
    Integer notSchedulingSkuNum();

    /**
     * 保存排版
     */
    void saveScheduling(WorkOrderDto dto);

}
