package com.sd.business.service.work.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.work.dto.WorkOrderDetailDto;
import com.sd.business.entity.work.dto.WorkOrderDetailSelectDto;
import com.sd.business.entity.work.po.WorkOrderDetail;
import com.sd.business.entity.work.vo.WorkOrderDetailVo;
import com.sd.business.mapper.work.WorkOrderDetailMapper;
import com.sd.business.service.work.WorkOrderDetailService;
import com.sd.framework.util.Assert;
import com.sd.framework.util.sql.Sql;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 生产工单明细 服务实现类
 * </p>
 *
 * @author
 * @since 2024-01-02
 */
@Service
public class WorkOrderDetailServiceImpl extends ServiceImpl<WorkOrderDetailMapper, WorkOrderDetail> implements WorkOrderDetailService {

    @Override
    public Page<WorkOrderDetailVo> getPage(WorkOrderDetailSelectDto dto) {

        Page<WorkOrderDetailVo> page = Sql.create(WorkOrderDetailVo.class)
                .selectAll(WorkOrderDetail.class)
                .from(WorkOrderDetail.class)
                .orderByDesc(WorkOrderDetail::getId)
                .page(dto);

        return page;
    }

    @Override
    public WorkOrderDetailVo detail(Long id) {

        WorkOrderDetailVo vo = Sql.create(WorkOrderDetailVo.class)
                .selectAll(WorkOrderDetail.class)
                .from(WorkOrderDetail.class)
                .eq(WorkOrderDetail::getId, id)
                .one();

        Assert.notNull(vo, "未知数据");

        return vo;
    }

    @Override
    public void add(WorkOrderDetailDto dto) {
        save(dto);
    }

    @Override
    public void edit(WorkOrderDetailDto dto) {
        updateById(dto);
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

}
