package com.sd.business.util.fixation;

import com.sd.business.entity.work.constant.MaterialsConstant;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.math.BigDecimal;

/**
 * 排版参数
 */
@Getter
@AllArgsConstructor
public class CoordinateBo {

    /**
     * x轴坐标
     */
    private BigDecimal x;

    /**
     * y轴坐标
     */
    private BigDecimal y;

    /**
     * 长（考虑旋转后的）
     */
    private BigDecimal length;

    /**
     * 宽（考虑旋转后的）
     */
    private BigDecimal width;

    /**
     * 是否旋转
     */
    private Boolean hasRotate;

    /**
     * 获取出血长度
     */
    public final BigDecimal getBleedingLength() {
        return this.length.add(BigDecimal.valueOf((MaterialsConstant.RESERVE)));
    }

    /**
     * 获取出血宽度
     */
    public final BigDecimal getBleedingWidth() {
        return this.width.add(BigDecimal.valueOf((MaterialsConstant.RESERVE)));
    }

}
