package com.sd.business.util.packing.model;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
public class Item {

    /**
     * id
     */
    private Long id;

    /**
     * 长
     */
    private double length;

    /**
     * 宽
     */
    private double width;

    /**
     * 复制单个Item
     */
    public static Item copy(Item item) {
        return new Item(item.id, item.length, item.width);
    }

    /**
     * 复制Item数组
     */
    public static Item[] copy(Item[] items) {
        Item[] newItems = new Item[items.length];
        for (int i = 0; i < items.length; i++) {
            newItems[i] = copy(items[i]);
        }
        return newItems;
    }

}
