package com.sd.business.util.packing.model;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class SkyLine implements Comparable<SkyLine> {

    /**
     * 天际线左端点x坐标
     */
    private double x;

    /**
     * 天际线左端点y坐标
     */
    private double y;

    /**
     * 天际线长度
     */
    private double length;

    public SkyLine(double x, double y, double length) {
        this.x = x;
        this.y = y;
        this.length = length;
    }

    /**
     * 天际线排序规则，y越小越优先，y一样时，x越小越优先
     */
    @Override
    public int compareTo(SkyLine o) {
        int c1 = Double.compare(y, o.y);
        return c1 == 0 ? Double.compare(x, o.x) : c1;
    }

}
