package com.sd.mq.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@Getter
@AllArgsConstructor
public enum WorkOrderStatusEnum {

    TO_BE_PRODUCED(0, "待投产"),
    SCANNED(1, "已扫描"),
    IN_PRODUCTION(2, "生产中"),
    PRODUCTION_COMPLETION(3, "生产完成"),
    PRODUCTION_ANOMALY(4, "生产异常"),
    RESCHEDULE(5, "重新排单"),
    ;

    private static final Map<Integer, WorkOrderStatusEnum> map = new HashMap<>();

    static {
        for (WorkOrderStatusEnum workOrderStatusEnum : WorkOrderStatusEnum.values()) {
            map.put(workOrderStatusEnum.getKey(), workOrderStatusEnum);
        }
    }

    private final Integer key;
    private final String value;

    public static WorkOrderStatusEnum getByKey(Integer key) {
        return map.get(key);
    }

}
