import cn.hutool.core.convert.Convert;
import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.sd.SdApplication;
import com.sd.business.entity.sku.po.SkuSpec;
import com.sd.business.service.sku.SkuSpecService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.math.BigDecimal;
import java.util.List;

/**
 * 赋值sku规格长宽高
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = SdApplication.class, webEnvironment = SpringBootTest.WebEnvironment.DEFINED_PORT)
public class SyncSpec {

    @Autowired
    private SkuSpecService skuSpecService;

    @DSTransactional
    @Test
    public void test() {
        List<SkuSpec> list = skuSpecService.list();

        for (SkuSpec skuSpec : list) {

            String name = skuSpec.getName();
            String[] split = name.split("\\*");

            skuSpec.setLength(Convert.toBigDecimal(split[0].substring(split[0].indexOf(":") + 1)));
            skuSpec.setWidth(Convert.toBigDecimal(split[1].replace("cm", "")));
            skuSpec.setHeight(Convert.toBigDecimal(split[2].substring(0, split[2].indexOf("mm"))).divide(BigDecimal.TEN));

        }

        skuSpecService.updateBatchById(list);
    }

}
