package com.sd.wln.controller;

import com.sd.wln.entity.ResynchronizationDto;
import com.sd.wln.service.OrderHandleService;
import com.sd.wln.service.WlnSkuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/wln")
public class WlnController {

    @Autowired
    private WlnSkuService wlnSkuService;

    @Autowired
    private OrderHandleService orderHandleService;

    /**
     * 重新同步sku
     */
    @PostMapping("/syncSku")
    public void syncSku() {
        wlnSkuService.sync();
    }

    /**
     * 重新同步订单
     */
    @PostMapping("/resynchronization")
    public void resynchronization(@RequestBody ResynchronizationDto dto) {
        orderHandleService.resynchronization(dto);
    }

    /**
     * 批量同步订单
     */
    @PostMapping("/bathSyncOrder")
    public void bathSyncOrder() {
        orderHandleService.bathSyncOrder();
    }

}
